Summary:	Displays a graph from your latest system load
Summary(pl.UTF-8):	Wyświetlanie wykresu bieżącego obciążenia systemu
Name:		xfce4-cpugraph-plugin
Version:	1.0.5
Release:	1
License:	BSD
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-cpugraph-plugin/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	f0ebfabb273adf69361b37a3fa4b7912
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.6.0
BuildRequires:	xfce4-panel-devel >= 4.6.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This systemload plugin offers multiple display modes (LED, gradient,
fire, etc.) to show the current CPU load of the system. The colors and
the size of the plugin are customizable.

%description -l pl.UTF-8
Ta wtyczka obciążenia systemu oferuje liczne tryby wyświetlania (ekran
ciekłokrystaliczny LED, gradient, ogień, itp.) aktualnego obciążenia
procesora. Kolory i rozmiar wtyczki są modyfikowalne.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libcpugraph.so
%{_datadir}/xfce4/panel/plugins/cpugraph.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Wed Aug 15 2012 Jan Rękorajski <baggins@pld-linux.org> 00cfde0
Updated to 1.0.5

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 1e51554
- release 2

* Fri May 11 2012 Jan Rękorajski <baggins@pld-linux.org> baabf14
- updated to 1.0.2
- ported to xfceui
- built as module now

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 4ff9a95
- rel 3
- port to libxfce4ui

* Thu Feb 17 2011 Zsolt Udvari <uzsolt@pld-linux.org> 8564202
- typo in %post

* Tue Feb 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> eb76d5b
- updated to 1.0.1

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 65a744d
- BR: gettext-devel, intltool

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> fb38cf1
- rel 3
- really fix ur_PK

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 0e1c834
- rel 2
- locale fix

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> b2262bd
- 1.0.0

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 527cd12
outdated

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 8379af0
- new

* Sat Dec 08 2007 Marcin Banasiak <marcin.banasiak@gmail.com> d49afae
- updated to 0.4.0
- added locale-names patch

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> de54f94
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9f13b55
- converted to UTF-8

* Sat Jan 27 2007 Marcin Banasiak <marcin.banasiak@gmail.com> c4847e2
- up to 0.3.0

* Wed Mar 09 2005 havner <havner@pld-linux.org> 22a059d
- rel up for rebuild with xfce 4.2

* Sat Nov 27 2004 havner <havner@pld-linux.org> cf78118
- rel up for rebuild with xfce4

* Sat Jul 17 2004 Jakub Bogusz <qboosh@pld-linux.org> d015441
- fixed build on amd64, release 2

* Tue Jul 13 2004 Jakub Bogusz <qboosh@pld-linux.org> 130896d
- cosmetics

